{
  "name": "crm-frontend",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint": "next lint",
    "generate-client": "openapi-ts && prettier --write ./src/client/**/*.ts && git add ./src/client"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/sortable": "^10.0.0",
    "@mantine/core": "8.1.2",
    "@mantine/form": "^8.1.3",
    "@mantine/hooks": "8.1.2",
    "@mantine/modals": "^8.2.1",
    "@mantine/notifications": "^8.2.1",
    "@next/bundle-analyzer": "^15.3.3",
    "@reduxjs/toolkit": "^2.8.2",
    "@tabler/icons-react": "^3.34.0",
    "@tailwindcss/postcss": "^4.1.11",
    "@tanstack/react-query": "^5.83.0",
    "axios": "^1.11.0",
    "classnames": "^2.5.1",
    "framer-motion": "^12.23.7",
    "i18n-iso-countries": "^7.14.0",
    "lexorank": "^1.0.5",
    "libphonenumber-js": "^1.12.10",
    "next": "15.3.3",
    "react": "19.1.0",
    "react-dom": "19.1.0",
    "react-imask": "^7.6.1",
    "react-redux": "^9.2.0",
    "redux-persist": "^6.0.0",
    "sharp": "^0.34.3"
  },
  "devDependencies": {
    "@babel/core": "^7.27.4",
    "@eslint/js": "^9.29.0",
    "@hey-api/client-axios": "^0.9.1",
    "@hey-api/client-next": "^0.5.1",
    "@hey-api/openapi-ts": "^0.80.1",
    "@ianvs/prettier-plugin-sort-imports": "^4.4.2",
    "@storybook/nextjs": "^8.6.8",
    "@storybook/react": "^8.6.8",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^16.3.0",
    "@testing-library/user-event": "^14.6.1",
    "@types/eslint-plugin-jsx-a11y": "^6",
    "@types/jest": "^29.5.14",
    "@types/lodash": "^4.17.20",
    "@types/node": "^22.13.11",
    "@types/react": "19.1.8",
    "@types/react-redux": "^7.1.34",
    "@types/redux-persist": "^4.3.1",
    "autoprefixer": "^10.4.21",
    "babel-loader": "^10.0.0",
    "eslint": "^9.29.0",
    "eslint-config-mantine": "^4.0.3",
    "eslint-plugin-eslint-comments": "^3.2.0",
    "eslint-plugin-jsx-a11y": "^6.10.2",
    "eslint-plugin-react": "^7.37.5",
    "jest": "^30.0.0",
    "jest-environment-jsdom": "^30.0.0",
    "postcss": "^8.5.6",
    "postcss-preset-mantine": "1.17.0",
    "postcss-simple-vars": "^7.0.1",
    "prettier": "^3.5.3",
    "storybook": "^8.6.8",
    "storybook-dark-mode": "^4.0.2",
    "stylelint": "^16.20.0",
    "stylelint-config-standard-scss": "^15.0.1",
    "tailwindcss": "^4.1.11",
    "ts-jest": "^29.4.0",
    "typescript": "5.8.3",
    "typescript-eslint": "^8.34.0"
  },
  "packageManager": "yarn@4.9.2"
}
